org.eclipse.ease

## Class Activator

- java.lang.Object
- - org.eclipse.core.runtime.Plugin
  - - org.eclipse.ui.plugin.AbstractUIPlugin
    - - org.eclipse.ease.Activator

All Implemented Interfaces:
  org.osgi.framework.BundleActivator

    public class Activator
    extends AbstractUIPlugin

### Field Summary

Fields
`static boolean` `DEFAULT_SCRIPTS_ALLOW_UI_ACCESS`
`static java.lang.String` `PLUGIN_ID`
`static java.lang.String` `PREFERENCES_NODE_SCRIPTS`
`static java.lang.String` `SCRIPTS_ALLOW_UI_ACCESS`

### Fields inherited from class org.eclipse.core.runtime.Plugin

`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

### Constructor Summary

Constructors
Constructor and Description
`Activator()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`org.osgi.framework.BundleContext` `getContext()`
`static Activator` `getDefault()`
`static ImageDescriptor` `getImageDescriptor(java.lang.String bundleID, java.lang.String path)` Get `ImageDescriptor` for a given bundle/path location.
`void` `start(org.osgi.framework.BundleContext context)`
`void` `stop(org.osgi.framework.BundleContext context)`

### Methods inherited from class org.eclipse.ui.plugin.AbstractUIPlugin

`getDialogSettings, getImageRegistry, getPreferenceStore, getWorkbench, imageDescriptorFromPlugin, shutdown, startup`

### Methods inherited from class org.eclipse.core.runtime.Plugin

`find, find, getBundle, getLog, getPluginPreferences, getStateLocation, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### PLUGIN_ID

    public static final java.lang.String PLUGIN_ID

See Also:
  Constant Field Values

#### PREFERENCES_NODE_SCRIPTS

    public static final java.lang.String PREFERENCES_NODE_SCRIPTS

See Also:
  Constant Field Values

#### SCRIPTS_ALLOW_UI_ACCESS

    public static final java.lang.String SCRIPTS_ALLOW_UI_ACCESS

See Also:
  Constant Field Values

#### DEFAULT_SCRIPTS_ALLOW_UI_ACCESS

    public static final boolean DEFAULT_SCRIPTS_ALLOW_UI_ACCESS

See Also:
  Constant Field Values

### Constructor Detail

#### Activator

    public Activator()

### Method Detail

#### getDefault

    public static Activator getDefault()

#### start

    public void start(org.osgi.framework.BundleContext context)
               throws java.lang.Exception

Specified by:
  `start` in interface `org.osgi.framework.BundleActivator`
Overrides:
  `start` in class `AbstractUIPlugin`
Throws:
  `java.lang.Exception`

#### stop

    public void stop(org.osgi.framework.BundleContext context)
              throws java.lang.Exception

Specified by:
  `stop` in interface `org.osgi.framework.BundleActivator`
Overrides:
  `stop` in class `AbstractUIPlugin`
Throws:
  `java.lang.Exception`

#### getContext

    public org.osgi.framework.BundleContext getContext()

#### getImageDescriptor

    public static ImageDescriptor getImageDescriptor(java.lang.String bundleID,
                                                     java.lang.String path)

Get `ImageDescriptor` for a given bundle/path location.

Parameters:
  `bundleID` -
  `path` -
Returns: